/*
 * LispList.java
 *
 * George Ferguson, ferguson@cs.rochester.edu, 20 Aug 2002
 * Time-stamp: <Tue Aug 20 10:18:56 EDT 2002 ferguson>
 */

import java.util.LinkedList;
import java.util.ListIterator;
import java.util.NoSuchElementException;

public class LispList extends LinkedList {
    public String toString() {
	StringBuffer str = new StringBuffer("(");
	ListIterator li = listIterator();
	try {
	    while (li.hasNext()) {
		str.append(li.next().toString());
		if (li.hasNext()) {
		    str.append(" ");
		}
	    }
	} catch (NoSuchElementException ex) {
	}
	str.append(")");
	return str.toString();
    }
    public LispList cons(Object x) {
	super.addFirst(x);
	return this;
    }
}
